Skip to main content
GET
/
v1
/
account
Dados da sua conta
curl --request GET \
  --url https://stater.stric.io/v1/account \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "tenantId": "<string>",
  "coreAccountId": "<string>",
  "branchIdentifier": "<string>",
  "accountNumber": "<string>",
  "label": "<string>",
  "enabled": true,
  "pixInFeeCents": "<string>",
  "pixInFeeBps": 0,
  "pixOutFeeCents": "<string>",
  "pixOutFeeBps": 0,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.stric.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key da plataforma. Envie no header Authorization: Bearer <key>.

Headers

X-Pix-Account-Id
string

Id da conta Pix sobre a qual a operação atua. Obrigatório quando sua API key não está vinculada a uma conta específica.

Required string length: 10 - 40

Response

OK

id
string
required
tenantId
string
required
coreAccountId
string
required
branchIdentifier
string
required
accountNumber
string
required
label
string | null
required
enabled
boolean
required
pixInFeeCents
string<int64-string> | null
required

BigInt serializado como string decimal (Fastify default + convenção da plataforma).

Pattern: ^-?\d+$
pixInFeeBps
integer | null
required
Required range: -9007199254740991 <= x <= 9007199254740991
pixOutFeeCents
string<int64-string> | null
required

BigInt serializado como string decimal (Fastify default + convenção da plataforma).

Pattern: ^-?\d+$
pixOutFeeBps
integer | null
required
Required range: -9007199254740991 <= x <= 9007199254740991
createdAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
updatedAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
{key}
any